<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
>
<h:outputStylesheet library="css" name="style.css"/>
<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Mes recrutements</title>
    </ui:define>

    <ui:define name="content">
        <div>
            <div class="jobTitle" style="text-align: center;">
                <h1>#{mbJobDetail.job.getTitle()}</h1>
            </div>

            <div class="jobDescContent">
                <div class="jobDetail" style="display: flex; justify-content:center">
                    <div class="jobDetailReferent"
                         style="display: flex; justify-content: space-around; align-items: stretch;background-color: #DFF2FF; padding: 3rem">
                        <div class="jobInfos"
                             style="flex-grow: 1; flex-basis:30rem; margin-right: 2rem">
                            <div class="jobEmplacement"
                                 style="display: flex; justify-content:flex-start">
                                <b:icon value="globe" size="2x"/>
                                <h:outputText style="margin-left : 5rem; font-weight: bold"
                                              value="${mbJobDetail.job.getCity().getCityName()} (${mbJobDetail.job.getCity().getPostCode()})"></h:outputText>
                            </div>
                            <div class="jobSalary"
                                 style="display: flex; justify-content:flex-start; align-items:center">
                                <b:icon class="salaryIcon" value="euro" size="2x"/>
                                <h:outputText style="margin-left : 5rem; margin-top:2vh; max-width:7rem"
                                              value="entre ${mbJobDetail.job.minSalary}"
                                ></h:outputText> -
                                <h:outputText style="margin-left : 1rem;margin-top:2vh; max-width:7rem"
                                              value=" et ${mbJobDetail.job.maxSalary} euros brut annuel"
                                ></h:outputText>
                            </div>
                            <div class="jobStudyLevel"
                                 style="display: flex; justify-content:flex-start">
                                <b:iconAwesome value="fa-book" size="2x"/>
                                <h:outputText style="margin-left : 5rem"
                                              value="#{mbJobDetail.job.getStudyLevel().level}">
                                </h:outputText>
                            </div>
                            <div class="jobContract" style="display: flex; justify-content:flex-start">
                                <b:iconAwesome value="fa-suitcase" size="2x"/>
                                <h:outputText style="margin-left : 5rem"
                                              value="#{mbJobDetail.job.getContractType().type}">
                                </h:outputText>
                            </div>
                            <div class="jobTime" style="display: flex; justify-content:flex-start">
                                <b:iconAwesome value="fa-clock-o" size="2x"/>
                                <h:outputText style="margin-left : 5rem"
                                              value="#{mbJobDetail.job.getWorkingTime().type}">
                                </h:outputText>
                            </div>
                        </div>
                        <div class="jobDesc"
                             style=" ;flex-grow: 6; margin-left: 2rem; display: flex; justify-content:center">
                            <b:well
                                    style="  max-width : 40vw; min-width: 40vw; min-height : 50vh; max-height : 50vh; align-items: stretch"
                                    value="#{mbJobDetail.details}"></b:well>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </ui:define>
</ui:composition>
</html>